{ config, lib, pkgs, ... }:

let
 cfg = import ./configuration.nix;
in {
  imports = [
    ./hardware-configuration.nix
  ];

  services = {
    gnome3.gnome-terminal-server.enable = true;
    udev.extraRules = ''
      SUBSYSTEM=="usb", ATTRS{idVendor}=="28de", MODE="0666"
      KERNEL=="uinput", MODE="0660", GROUP="input", OPTIONS+="static_mode=uinput"
    '';
  };

  environment.systemPackages = with pkgs; [ surface-firmware xdiskusage ];

  system.stateVersion = "18.09";
}
